Bill Allombert on Tue, 1 Oct 2002 14:41:00 +0200

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: Pari-GP 2.1.4 : BUG with AIX : install(addii,GG) .

On Tue, Oct 01, 2002 at 02:18:22PM +0200, Tony Reix wrote:
> Hello,
> I used Pari a few in the past, but I had a very small knowledge of it.
> Now, my aim is to provide Pari-gp as one of the freewares we provide
> for AIX users on our Web site: .
> So, while compiling pari-gp 2.1.4 on AIX 4.3.3 , I got the following
> error while running "make bench".
> If someone could help me understanding if this error is due to
> the configuration (the default) I used or if it seems to be a
> problem with the compiler, or something else, please let me know.
> Also, let me know if this kind of error is severity ONE or only
> a very low-level problem.

It is a bug in make bench, really.
Usually make bench output:
NOTE: the problem noted in 'program' is that install() does not work in your
configuration (gp-sta only), so you will not be able to use this feature.
Otherwise you can safely ignore the above warning.

This just means your system does not fully support dlopen().

There seem to be a way around that, from
Try to give the flag -Wl,-bexpall to gcc when linking gp.
(Add it to LDFLAGS)
And please report your success so that we can update configure!